
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #1220

Album Art plugin not displaying any artwork if mp3 file has more than one image

August 29, 2023 20:23 - Michael Purcell

Status: Closed Start date: August 29, 2023

Priority: Minor Due date:  

Assignee:  % Done: 100%

Category: libaudtag Estimated time: 0.00 hour

Target version: 4.4   

Affects version: 4.2   

Description

Plugin works fine if only one artwork in file, i.e. FRONT_COVER Image. Add a second image i.e. BACK_COVER Image neither

image displays.

pc1:~$ audacious -v

Audacious 4.2 (Fedora package)

pc1:~$ uname -a

Linux pc1.purcell.lan 6.4.12-100.fc37.x86_64 #1 SMP PREEMPT_DYNAMIC Wed Aug 23 17:49:27 UTC 2023 x86_64 x86_64

x86_64 GNU/Linux

pc1:/share/music/Various/Not Lame Compilations Collection/The Lost Box Comps/Disc 28$ eyeD3 01\ Insomniacs\,\ The\ \ Sylvia\

Gray.mp3

/share/music/Various/Not Lame Compilations Collection/The Lost Box Comps/Disc 28/01 Insomniacs, The - Sylvia Gray.mp3             

[ 7.35 MB ]

--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

----------------------------

Time: 03:05    MPEG1, Layer III    [ 320 kb/s @ 44100 Hz - Joint stereo ]

--------------------------------------------------------------------------------------------------------------------------------------------------------------------------------

-----------------------------

ID3 v2.4:

title: Sylvia Gray

artist: Insomniacs, The

album: Sylvia Gray

album artist: Insomniacs, The

recording date: 1995

track: 1/3        genre: Power Pop (id None)

disc: 1/1

Comment: [Description: ] [Lang: eng]

Outer Limits – OL 62.704 Vinyl, 7", 45 RPM

UserTextFrame: [Description: replaygain_reference_loudness]

89.0 dB

UserTextFrame: [Description: replaygain_track_gain]

-0.120000 dB

UserTextFrame: [Description: replaygain_track_peak]

0.395329

UserTextFrame: [Description: MP3GAIN_MINMAX]

076,204

UserTextFrame: [Description: MP3GAIN_UNDO]

+006,+006,N

FRONT_COVER Image: [Size: 155000 bytes] [Type: image/jpeg]

Description: R-1262024-1534508851-3923.jpg

BACK_COVER Image: [Size: 163934 bytes] [Type: image/jpeg]

Description: R-1262024-1534508847-7669.jpg

I think the default behavior should be to display the first image the plugin finds in the file or the FRONT_COVER image if so labeled.

Thinking ahead, if there are multiple images perhaps a montage could be displayed with the ability to allow the user to choose which

image to scale full size (within window constraints), or perhaps to scroll through the images serially (Front, Back, Media Leaflet, A

bright colored fish, etc). I'll create a separate enhancement request if needed.
History

#1 - October 21, 2023 18:35 - John Lindgren

- % Done changed from 0 to 100

- Status changed from New to Closed

- Category set to libaudtag

Fixed, thanks for reporting:

https://github.com/audacious-media-player/audacious/commit/b842455543c3e0839711b740fb49022d80659aa5

#2 - January 21, 2024 19:02 - Thomas Lange

- Target version set to 4.4

Powered by TCPDF (www.tcpdf.org)

May 02, 2024 2/2

https://github.com/audacious-media-player/audacious/commit/b842455543c3e0839711b740fb49022d80659aa5
http://www.tcpdf.org

